[openssh-commits] [openssh] 01/01: Skip security key tests if ENABLE_SK not set.

git+noreply at mindrot.org git+noreply at mindrot.org
Tue May 5 11:33:13 AEST 2020


This is an automated email from the git hooks/post-receive script.

dtucker pushed a commit to branch master
in repository openssh.

commit c13403e55de8cdbb9da628ed95017b1d4c0f205f
Author: Darren Tucker <dtucker at dtucker.net>
Date:   Tue May 5 11:32:43 2020 +1000

    Skip security key tests if ENABLE_SK not set.
---
 regress/test-exec.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/regress/test-exec.sh b/regress/test-exec.sh
index bfe8783f..5dc975d0 100644
--- a/regress/test-exec.sh
+++ b/regress/test-exec.sh
@@ -522,7 +522,9 @@ fi
 rm -f $OBJ/known_hosts $OBJ/authorized_keys_$USER
 
 SSH_SK_PROVIDER=
-if [ -f "${SRC}/misc/sk-dummy/obj/sk-dummy.so" ] ; then
+if ! config_defined ENABLE_SK; then
+	trace skipping sk-dummy
+elif [ -f "${SRC}/misc/sk-dummy/obj/sk-dummy.so" ] ; then
 	SSH_SK_PROVIDER="${SRC}/misc/sk-dummy/obj/sk-dummy.so"
 elif [ -f "${SRC}/misc/sk-dummy/sk-dummy.so" ] ; then
 	SSH_SK_PROVIDER="${SRC}/misc/sk-dummy/sk-dummy.so"

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list